/*  This file contains the definition of a robot that can turnright and turn around,
in addition to the capabilities of a Robot.

written by Scott McElfresh
September 2004 (based on earlier files)
*/

package kareltherobot;


public class TurningRobot extends Robot 
{
    // these next four lines should be taken as given.  Note that turningRobot matches
   	// the name of the class.
        public TurningRobot(int street, int avenue, Direction direction, int numberOfBeepers)
        {       
           super(street, avenue, direction, numberOfBeepers);
        }
	
	// turn the robot to the right by turning left three times
	public void turnRight()
	{
	   turnLeft();
	   turnLeft();
	   turnLeft();
	}
	
	//turn the robot to the opposite direction
	public void turnAround()
	{
	  turnLeft();
	  turnLeft();
	}

}